package +zoccolo+.web.controller;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;
import javax.servlet.http.HttpServletRequest;

import +zoccolo+.web.model.utility.Notice;
/** <p>
 * Home page controller.
 * </p>
*/
@Controller
public class DoorControllerBelong {

    @RequestMapping("/")
    public String welcome() {
        return "home/index";
    }
    
	@RequestMapping("/default")
	public String welcomeDefault() {
		return "home/index";
	}
    
	@RequestMapping("/login/form")
	public String chiSei() {
		return "home/login";
	}
	
	+signup+
	
	@RequestMapping("/answers/errorPage")
	public ModelAndView materia_1(HttpServletRequest request) {
		Notice notice = new Notice();
		notice.setScrewFormattedText("Unauthorized access, user "
				+ request.getUserPrincipal().getName()
				+ " has no sufficient faculties.");
		return new ModelAndView("answers/error", "belong", notice);
	}

	/* screwdriver_knife */
}
